package UE01_030924_Wiederholung;

public class Sparbuch extends Konto {
    public Sparbuch(double betrag, double zinssatz) {
        super(betrag, zinssatz, "Sparbuch");
    }

    public Sparbuch(double zinssatz) {
        super(zinssatz, "Sparbuch");
    }

    public double einzahlung(double betrag) {
        if (betrag < 0) return 0;
        this.kontostand += betrag;
        this.buchungsvorgaenge.add("Einzahlung: " + betrag);
        return betrag;
    }

    public boolean auszahlung(double betrag) {
        if (this.kontostand - betrag < 0) return false;
        this.kontostand -= betrag;
        this.buchungsvorgaenge.add("Auszahlung: " + betrag);
        return true;
    }
}
